commit:     31161e504f42675b5794aff2422f11917468b663
Author:     ScardracS <marco <AT> scardovi <DOT> com>
AuthorDate: Thu Mar 18 15:20:48 2021 +0000
Commit:     Joonas Niilola <juippis <AT> gentoo <DOT> org>
CommitDate: Mon Mar 22 18:06:35 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=31161e50

app-misc/bgrep: bumping to 0.2-p20210221 snapshot

Package-Manager: Portage-3.0.17, Repoman-3.0.2
Signed-off-by: Marco Scardovi <marco <AT> scardovi.com>
Closes: https://github.com/gentoo/gentoo/pull/19990
Signed-off-by: Joonas Niilola <juippis <AT> gentoo.org>

 app-misc/bgrep/Manifest                   |  1 +
 app-misc/bgrep/bgrep-0.2_p20210221.ebuild | 45 +++++++++++++++++++++++++++++++
 app-misc/bgrep/metadata.xml               | 15 ++++++++---
 3 files changed, 57 insertions(+), 4 deletions(-)

diff --git a/app-misc/bgrep/Manifest b/app-misc/bgrep/Manifest
index 4f2fa0f310d..b2cfa4e7b43 100644
--- a/app-misc/bgrep/Manifest
+++ b/app-misc/bgrep/Manifest
@@ -1 +1,2 @@
+DIST bgrep-0.2_p20210221.tar.gz 4854 BLAKE2B 
85c9171572e440f1e5def3a902a4adb1a3339706847013c6ff139745a819d9eab48a9449bf89b631cfcfe0081365240eefcae46a68064f710178db6d2db50037
 SHA512 
a9488ee9fd68a1b0e9924cbdf1e36fb3517cdceee4b57a27ef148ccd2c3f51942f8a57b41d47a2cb5b65b376b0b87c92ca4ee5d7053714a725c57ffbabbf12b6
 DIST tmbinc-bgrep-49b098b.tar.gz 3386 BLAKE2B 
3c98e849689cf5b9131a52578bef8735f7ff8d0a8a8b7c1c3e048487d3e40c9c34e902e737e3fa0d40e0e640ffc1a7cedb49b1b45d04263c7c987625cd02726f
 SHA512 
18a0161fe23a04d36bbfe67712a90b3d30c4cca95fed023773b0a1eda5fc1c284996d9669eec256a9aacc7019297f96c3d4fe69c240595bcdcc3a8b7c1bea990

diff --git a/app-misc/bgrep/bgrep-0.2_p20210221.ebuild 
b/app-misc/bgrep/bgrep-0.2_p20210221.ebuild
new file mode 100644
index 00000000000..113fd29485b
--- /dev/null
+++ b/app-misc/bgrep/bgrep-0.2_p20210221.ebuild
@@ -0,0 +1,45 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+COMMIT="58c0b83f7ef13cd8d3d7352fadef88a006a514cd"
+
+inherit toolchain-funcs
+
+DESCRIPTION="Grep-like tool to search for binary strings"
+HOMEPAGE="https://github.com/tmbinc/bgrep/";
+SRC_URI="https://github.com/tmbinc/bgrep/archive/${COMMIT}.tar.gz -> 
${P}.tar.gz"
+
+S="${WORKDIR}/${PN}-${COMMIT}"
+
+LICENSE="BSD"
+SLOT="0"
+
+KEYWORDS="~amd64"
+
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+DEPEND="test? ( dev-lang/perl )"
+
+src_prepare() {
+       default
+       sed -i -e "s|/tmp/|${T}/|g" \
+               test/bgrep-test.sh || die
+}
+
+src_compile() {
+       tc-export CC
+       emake
+}
+
+src_test() {
+       cd test || die
+       ./bgrep-test.sh || die
+}
+
+src_install() {
+       dobin bgrep
+       dodoc README
+}

diff --git a/app-misc/bgrep/metadata.xml b/app-misc/bgrep/metadata.xml
index cf3127a88dd..d898893e4df 100644
--- a/app-misc/bgrep/metadata.xml
+++ b/app-misc/bgrep/metadata.xml
@@ -1,8 +1,15 @@
 <?xml version="1.0" encoding="UTF-8"?>
 <!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd";>
 <pkgmetadata>
-  <!--maintainer-needed-->
-  <upstream>
-    <remote-id type="github">tmbinc/bgrep</remote-id>
-  </upstream>
+       <maintainer type="person" proxied="yes">
+               <email>[email protected]</email>
+               <name>Marco Scardovi</name>
+       </maintainer>
+       <maintainer type="project" proxied="proxy">
+               <email>[email protected]</email>
+               <name>Proxy Maintainers</name>
+       </maintainer>
+       <upstream>
+               <remote-id type="github">tmbinc/bgrep</remote-id>
+       </upstream>
 </pkgmetadata>

Reply via email to